Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::fast_mutex Class Reference

`#include <synchronization_common.h>`

## Public Member Functions

ALWAYS_INLINE void | lock ()
ALWAYS_INLINE void | unlock ()
ALWAYS_INLINE bool | make_parked_if_locked ()
ALWAYS_INLINE void | make_parked ()

## Detailed Description

Definition at line 625 of file synchronization_common.h.

## Member Function Documentation

## lock()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::fast_mutex::lock | ( |  | ) |

inline

Definition at line 686 of file synchronization_common.h.

References ALWAYS_INLINE.

Referenced by halide_mutex_lock(), and Halide::Runtime::Internal::Synchronization::fast_cond::wait().

## unlock()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::fast_mutex::unlock | ( |  | ) |

inline

Definition at line 695 of file synchronization_common.h.

References ALWAYS_INLINE.

Referenced by halide_mutex_unlock().

## make_parked_if_locked()

ALWAYS_INLINE bool Halide::Runtime::Internal::Synchronization::fast_mutex::make_parked_if_locked | ( |  | ) |

inline

Definition at line 704 of file synchronization_common.h.

References ALWAYS_INLINE.

## make_parked()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::fast_mutex::make_parked | ( |  | ) |

inline

Definition at line 719 of file synchronization_common.h.

References ALWAYS_INLINE.

The documentation for this class was generated from the following file:

- src/runtime/synchronization_common.h